Channels

Archive a channel in a project

POST
/api/projects/{projectId}/channels/{channelId}/archive

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Request Body

  1. body
expectedRevision*integer
Range1 <= value

Response Body

Response for status 200

application/json
  1. response
channel*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/channels/string/archive' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 1
}'
Example Response
{
  "channel": {
    "id": "string",
    "projectId": "string",
    "name": "string",
    "profileVersionId": "string",
    "state": "active",
    "archivedAt": -9007199254740991,
    "revision": -9007199254740991,
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991,
    "profileId": "string"
  }
}

Was this page helpful?